#!/bin/bash

declare -i app_pid
declare -i app_cpu

function kill_if_high_usage(){
app_name="$1"
app_cpu_str=`ps -Ao pcpu,command | grep -m 1 $app_name | awk {'print $1'}`
app_cpu=$(( ${app_cpu_str%.*} ))
if [[ $app_cpu -gt $2 ]]; then
app_pid=`ps -Ao pid,command | grep -m 1 $app_name | awk {'print $1'}`
echo "[`date`] $app_name[$app_pid] cpu usage: $app_cpu, kill it."
kill -9 ${app_pid}
else
echo "[`date`] $app_name cpu usage: $app_cpu, good."
fi
}

kill_if_high_usage "locationd" 30